CAD开发者社区

 找回密码
 立即注册

QQ登录

只需一步,快速开始

ActiveX 开发指南

相关分类

PickAuto Property (ActiveX)

2023-1-3 08:57| 发布者: admin| 查看: 381| 评论: 0|来自: AutoCAD

摘要: 控制“选择对象”提示下的自动窗口。

控制“选择对象”提示下的自动窗口。

支持的平台:仅窗口

签名

工 务 局:

object.PickAuto
对象

类型:首选项选择

此属性适用的对象。

属性值

只读:

类型:布尔

  • True:在“选择对象”提示下自动绘制选择窗口(用于窗口或交叉选择)。
  • False:禁用自动拾取。

言论

此属性的初始值为。True

注意:此属性的值存储在 PICKAUTO 系统变量中。

例子

工 务 局:

Sub Example_PickAuto()
    ' This example reads and modifies the preference value that controls
    ' automatic windowing at the Select Objects prompt.
    ' When finished, this example resets the preference value back to
    ' its original value.
    
    Dim ACADPref As AcadPreferencesSelection
    Dim originalValue As Variant, newValue As Variant
    
    ' Get the selection preferences object
    Set ACADPref = ThisDrawing.Application.Preferences.Selection
    
    ' Read and display the original value
    originalValue = ACADPref.PickAuto
    MsgBox "The PickAuto preference is set to: " & originalValue

    ' Modify the PickAuto preference by toggling the value
    ACADPref.PickAuto = Not (ACADPref.PickAuto)
    newValue = ACADPref.PickAuto
    MsgBox "The PickAuto preference has been set to: " & newValue

    ' Reset the preference back to its original value
    '
    ' * Note: Comment out this last section to leave the change to
    '         this preference in effect
    ACADPref.PickAuto = originalValue
    MsgBox "The PickAuto preference was reset back to: " & originalValue
End Sub

Visual LISP:

(vl-load-com)
(defun c:Example_PickAuto()
    ;; This example reads and modifies the preference value that controls
    ;; automatic windowing at the Select Objects prompt.
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
    
    ;; Read and display the original value
    (setq originalValue (vla-get-PickAuto (vla-get-Selection preferences)))
    (alert (strcat "The PickAuto preference is set to: " (if (= originalValue :vlax-true) "True" "False")))

    ;; Modify the PickAuto preference by toggling the value
    (vla-put-PickAuto (vla-get-Selection preferences) (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-PickAuto (vla-get-Selection preferences)))
    (alert (strcat "The PickAuto preference has been set to: " (if (= newValue :vlax-true) "True" "False")))

    ;; Reset the preference back to its original value
    ;;
    ;; * Note: Comment out this last section to leave the change to
    ;;         this preference in effect
    (vla-put-PickAuto (vla-get-Selection preferences) originalValue)
    (alert (strcat "The PickAuto preference was reset back to: " (if (= originalValue :vlax-true) "True" "False")))
)

路过

雷人

握手

鲜花

鸡蛋

最新评论

QQ|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 )

GMT+8, 2024-5-12 04:23

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

返回顶部